<!DOCTYPE html>
<html lang="en" dir="ltr">
<head>
    <% include _head %>
    <link rel="stylesheet" type="text/css" href="/css/classes.css">
    <link rel="stylesheet" type="text/css" href="/css/parcours.css">
    <script src="https://unpkg.com/feather-icons"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui-touch-punch/0.2.3/jquery.ui.touch-punch.min.js"></script>
</head>
<body class="container" onload="loadProgressBar('<%=JSON.stringify(stepsDone)%>','<%=JSON.stringify(stepsNotDone)%>','<%=JSON.stringify(stepHistory)%>')">
<% include _loading %>
<% include _topbarParcours %>

<div class="jumbotron">
    <!--  ************************ Affichage des étapes déjà réalisées ************************  -->
    <div class="col-12" role="tablist">
        <% for( globalCounter = 0; globalCounter<stepsDone.length; globalCounter++) { %>
            <a class="classe list-group-item list-group-item-action col-12" style="background-color: lightgrey">
                <span class="m-5">Étape : <%= stepsDone[globalCounter].number %></span>
                <span class="m-5"><%= stepsDone[globalCounter].fullName %></span>
                <% if (stepHistory[globalCounter].evaluation===2){ %>
                    <span class="float-right ml-5">✓</span>
                    <!--<span class="float-right ml-5">✔</span>-->
                <%} else {%>
                    <span class="float-right ml-5">☓</span>
                    <!--<span class="float-right ml-5">❌</span>-->
                <%}%>
                <span class="float-right mr-5"><%= stepsDone[globalCounter].niveau %></span>
            </a>
        <% } %>
        <!--  ************************ Affichage des étapes restantes ************************  -->
        <% if (stepsNotDone.length>0) {%>
            <% for(var i = 0; i<1; i++) { %>
                <!--  Création des modals si c'est une activité débranchée ou externe -->
                <% try{
                if (stepsNotDone[i].gameId == 16 || stepsNotDone[i].gameId == 18){
                    const activityForm = JSON.parse(listeExos[0].exercice);
                %>
                <div class="modal fade" id="unplugged<%=stepsNotDone[i].id%>" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <img class="col-2" src="<%=activityForm.gameImage%>">
                                <h5 class="modal-title"><%=listeExos[0].level%></h5>
                                <a class="closeButton" href="#" data-dismiss="modal">Ⓧ</a>
                            </div>
                            <div class="modal-body">
                                <form>
                                    <div class="form-group row">
                                        <label class="col-3 col-form-label">Nom de l'activité</label>
                                        <input type="text" class="col-8 form-control" role="name" readonly="readonly" value="<%=activityForm.name;%>"></div>
                                    <div class="form-group row">
                                        <label class="col-3 col-form-label"><%=activityForm.inputLabel%></label>
                                        <% if (stepsNotDone[i].gameId == 16 ){%>
                                        <textarea type="text" class="col-8 form-control" role="consigne" readonly="readonly"><%=activityForm.consigne%></textarea><%}
                                        else if ( stepsNotDone[i].gameId == 18) {%>
                                        <a class="col-8 alert alert-success" href="<%=activityForm.consigne%>" role="consigne" target="_blank"><h2 class="mr-3 d-inline-block" >☞</h2><%=__('clickHereExternalLink')%></a><%}%>
                                    </div>
                                    <div class="form-group row">
                                        <label class="col-3 col-form-label">Description</label>
                                        <textarea type="text" class="col-8 form-control" role="description" readonly="readonly"><%=activityForm.description%></textarea>
                                    </div>
                                </form>
                            </div>
                            <div class="modal-footer"></div>
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
                            <button id="btn-<%=stepsNotDone[i].id%>" type="button" class="btn btn-primary" data-dismiss="modal">Validée avec l'enseignant</button></div>
                    </div>
                </div>
    </div>
    <a class="d-flex justify-content-between classe list-group-item list-group-item-action" data-toggle="modal" data-target="#unplugged<%=stepsNotDone[i].id%>" onclick="ui_parcours.createStatsEntry(2,<%=stepsNotDone[i].gameId%>,<%=stepsNotDone[i].id%>)" role="tab">Étape : <%= stepsNotDone[i].number %><strong><%=stepsNotDone[i].fullName%></strong>
        <h2>▶️</h2></a>
    <% } else if (stepsNotDone[i].niveau==='Explor'){%>
        <a class="d-flex justify-content-between classe list-group-item list-group-item-action" data-bs-toggle="list" href="/run/pixiParcours/0/<%= stepsNotDone[i].gameId %>/explore" role="tab">Étape : <%= stepsNotDone[i].number %><strong><%= stepsNotDone[i].fullName %></strong><span><%= stepsNotDone[i].niveau %></span>
            <h2>▶️</h2></a>
    <%} else if (stepsNotDone[i].niveau==='Créer'){%>
        <a class="d-flex justify-content-between classe list-group-item list-group-item-action" data-bs-toggle="list" href="/run/pixiParcours/0/<%= stepsNotDone[i].gameId %>/create" role="tab">Étape : <%= stepsNotDone[i].number %><strong><%= stepsNotDone[i].fullName %></strong><span><%= stepsNotDone[i].niveau %></span>
            <h2>▶️</h2>
        </a>
    <%} else if (stepsNotDone[i].gameId >=12 && stepsNotDone[i].gameId <=15){%>
    <a class="d-flex justify-content-between classe list-group-item list-group-item-action" data-bs-toggle="list" href="/run/externalParcours/<%=stepsNotDone[i].id%>/<%=stepsNotDone[i].gameId%>/evaluate" role="tab">Étape : <%=stepsNotDone[i].number %><strong><%=stepsNotDone[i].fullName%></strong><span><%=stepsNotDone[i].niveau%></span>
        <h2>▶️</h2>
    </a>
    <!--                Étape normale(exercice ordinaire) -->
    <%} else {%>
        <a class="d-flex justify-content-between classe list-group-item list-group-item-action" data-bs-toggle="list" href="/run/pixiParcours/<%= stepsNotDone[i].id %>/<%= stepsNotDone[i].gameId %>/evaluate" role="tab">Étape : <%= stepsNotDone[i].number %><strong><%= stepsNotDone[i].fullName %></strong><span><%= stepsNotDone[i].niveau %></span>
            <h2>▶️</h2>
        </a>
    <% } }catch (e) {
        console.log(e);
    } %>
    <% } %>
    <% } else {%> <div class="text-info mt-5 text-center">Tu as terminé ce parcours !</div>
    <% } %>
</div>

</div>
<script>feather.replace();</script>

<script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_createclasse.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_classes.js"></script>
<script type="text/javascript" src="/scripts/ui/ui_parcours.js"></script>
</body>
</html>